<template>
  <div>
    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a
          :class="currentTab === 'features' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'features'"
          >Features</a
        >
      </li>
      <li class="nav-item">
        <a
          :class="
            currentTab === 'deprecations' ? 'nav-link active' : 'nav-link'
          "
          @click="currentTab = 'deprecations'"
          >Deprecations</a
        >
      </li>
    </ul>
    <div class="my-2">
      <Features v-if="currentTab === 'features'" />
      <Deprecations v-else-if="currentTab === 'deprecations'" />
    </div>
  </div>
</template>
<script>
import Features from "./features.vue";
import Deprecations from "./deprecations.vue";

export default {
  data() {
    return { currentTab: null };
  },
  mounted() {
    this.currentTab = window.location.search.includes("deprecations")
      ? "deprecations"
      : "features";
  },
  components: {
    Deprecations,
    Features,
  },
};
</script>
